org.apache.ignite.internal.visor.node

## Class VisorMetricsConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.node.VisorMetricsConfiguration

All Implemented Interfaces:
  Serializable, LessNamingBean

    public class VisorMetricsConfiguration
    extends Object
    implements Serializable, LessNamingBean

Data transfer object for node metrics configuration properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorMetricsConfiguration()`

### Method Summary

Methods
`long` `expireTime()`
`static VisorMetricsConfiguration` `from(IgniteConfiguration c)`
`int` `historySize()`
`long` `loggerFrequency()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorMetricsConfiguration

    public VisorMetricsConfiguration()

### Method Detail

#### from

    public static VisorMetricsConfiguration from(IgniteConfiguration c)

Parameters:
  `c` - Grid configuration.
Returns:
  Data transfer object for node metrics configuration properties.

#### expireTime

    public long expireTime()

Returns:
  Metrics expired time.

#### historySize

    public int historySize()

Returns:
  Number of node metrics stored in memory.

#### loggerFrequency

    public long loggerFrequency()

Returns:
  Frequency of metrics log printout.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017